import { onMounted, onUnmounted } from 'vue';
import { SSEClient } from './SSEClient';
import { MAIN_URL } from '/@/constants';

// 创建实例
const sseClient = new SSEClient(
	`${MAIN_URL}events`,

	{},
	{
		onMessage: (data) => {
			console.log('Received message:', data);
		},
		onError: (error) => {
			console.error('SSE error:', error);
		},
		onOpen: () => {
			console.log('SSE connection opened');
		},
		onClose: () => {
			console.log('SSE connection closed');
		},
		onRetry: (retryCount) => {
			console.log(`Retrying connection (${retryCount})`);
		},
	}
);

// 在 Vue 组件中使用
export function useSSE() {
	// 建立连接
	sseClient.connect({});
	

	// onMounted(() => {
	// 	// 建立连接
	// 	sseClient.connect({
	// 		userId: 'xxx',
	// 		sessionId: 'xxx',
	// 	});
	// });

	// onUnmounted(() => {
	// 	// 断开连接
	// 	sseClient.disconnect();
	// });

	return {
		isConnected: () => sseClient.isConnected(),
		reconnect: () => sseClient.reconnect(),
		disconnect: () => sseClient.disconnect(),
	};
}
